<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes"/>
  
<xsl:template match="/">
<html>
    <head>
        <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <title>Terminal SQL</title>
        <link rel="stylesheet" type="text/css" href="terminalDB.css"/>
        <meta charset="UTF-8"/>
        <meta name="date" content="07/08/2019"/>
        <meta name="author" content="Jean-François Condotta"/>

        <script>
        function activeSQL(){
        document.getElementById("inputSQL").disabled=false;
        document.getElementById("boutonEvaluer").disabled=false;
        }
        
         function desactiveSQL(){
        document.getElementById("inputSQL").disabled=true;
        document.getElementById("boutonEvaluer").disabled=true;
        }

        function treatSQL() {
        desactiveSQL();
          java.treatSQL(document.getElementById("inputSQL").value);
        }

        function printErrorSQL(message){
        document.getElementById("errorSQL").innerHTML=message;
        }

        function printResultSQL(result){
        document.getElementById("outputSQL").innerHTML=result;
        }

       
        </script>
    </head>
    <body>
        <div id="principal">
            <div id="titrePrincipal">Évaluateur de requêtes SQL</div>
            <div id="descriptionPrincipale">
Vous pouvez créer et évaluer des requêtes SQL sur la base de données courante <xsl:value-of select="database/@name"/>.
La syntaxe utisée est le standard SQL (avec les spécificités implémentées par le SGBDR Derby 10.15.1.3).
</div>
<div id="principalScheme">
    <div id="titleScheme">Rappelons que le schéma de la base de données <xsl:value-of select="database/@name"/> est le suivant :</div>
<xsl:copy-of select="document('../../temp/schemeDB.html')"/>
</div>


<div id="reqSQL">
<div id="titreSQL">Requête SQL</div>
<div>
<textarea id="inputSQL" cols="50" rows="10"></textarea>
</div>
<div>
<button id="boutonEvaluer" onclick="treatSQL()" type="button">Évaluer</button>
</div>
<div id="erreurSQL">
<div id="titreMessage">Message</div>
<div id="errorSQL"></div>
</div>
<div id="sortieSQL">
<div id="titreSortie">Évaluation</div>
<div id="outputSQL"></div>
</div>
</div>
</div>
 <div id="infos">
id : <xsl:value-of select="database/@id"/> - 
name : <xsl:value-of select="database/@name"/> - 
version xml : <xsl:value-of select="database/@versionXML"/> -
version xslt : 1.0 -
    date: <xsl:value-of select="database/@date"/> - 
    author : <xsl:value-of select="database/@author"/> -
    JSQlQUIZ
</div>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
